* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}
body {
  min-height: 100vh;
  background-color: rgb(201, 180, 221);
  display: grid;
  place-items: center;
}

.calculator {
  background-color: rgb(63, 77, 87);
  color: white;
  width: 350px;
  max-width: 100%;
  padding: 1.5rem;
  border-radius: 1rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.5rem;
}

.screen {
  grid-column: 1 / -1;
  background-color: rgb(88, 150, 129);
  padding: 1.5rem;
  font-size: 2rem;
  text-align: right;
  border-radius: 0.5rem;
  margin-bottom: 1rem;
  font-family: monospace;
  font-weight: 600;
}

.btn {
  background-color: rgb(212, 212, 212);
  color: black;
  border: 0;
  padding: 1.5rem 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0.5rem;
  cursor: pointer;
}

.btn:hover {
  background-color: rgb(140, 177, 247);
}

#zero {
  grid-column: span 2;
}

#equal {
  grid-row: span 2;
  background-color: rgb(238, 113, 11);
}

#equal:hover {
  background-color: rgb(255, 140, 9);
}
